* {
    &,
    &::after,
    &::before {
        box-sizing: inherit;
        margin: 0;
        padding: 0;
    }
}

html {
    font-size: 62.5%;

    @include respond-to('tablet-landscape') {
        font-size: 56.25%;
    }

    @include respond-to('tablet-portrait') {
        font-size: 50%;
    }

    @include respond-to('desktop-big') {
        font-size: 75%;
    }
}

body {
    box-sizing: border-box;

    padding: 3rem;

    font-family: 'Lato', 'Arial', 'Courier New', sans-serif;
    font-size: $default-font-size;
    font-weight: 400;
    line-height: 1.7;
    color: $color-text-primary;

    @include respond-to('tablet-portrait') {
        padding: 0;
    }
}

::selection {
    background-color: $color-primary-dark;
    color: $color-white;
}
